// This file is part of the Dynpeak toolbox
// Copyright (C) 2012 - INRIA - Serge Steer
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt

mode(-1);
lines(0);

function main_builder()
  version_numbers = getversion("scilab")
  TOOLBOX_NAME  = "CWA";
  TOOLBOX_TITLE = "Cardiovascular Wave analyser";
  toolbox_dir   = get_absolute_file_path();

  // Action
  // ========================================================================

  tbx_builder_macros(toolbox_dir);
  tbx_builder_src(toolbox_dir);
  tbx_builder_gateway(toolbox_dir);
  tbx_build_loader(toolbox_dir);
 
  //load functions to be able to run help examples
  CWAlib = lib(toolbox_dir+"macros");
  HRVASlib=lib(toolbox_dir+"macros/HRVAS");
  tbx_builder_help(toolbox_dir);
  tbx_build_cleaner(toolbox_dir);
endfunction

main_builder();
clear main_builder; // remove main_builder on stack
